//+------------------------------------------------------------------+
//|                                                      vav_Tx2.mq4 |
//|                                                              vav |
//|                                                        localhost |
//+------------------------------------------------------------------+
#property copyright "vav"
#property link      "localhost"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
   int n=OrdersTotal();
   int i,ti;
   double pr,spr,StLs,TP;
   string Symb;
   for(i=0;i<n;i++)
   {
      OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
      if(OrderType()==OP_BUYSTOP && OrderTakeProfit()==0)
      {
         Symb=OrderSymbol();
         ti=OrderTicket();
         pr=OrderOpenPrice();
         spr=MarketInfo(Symb,MODE_SPREAD)*MathPow(10,-MarketInfo(Symb,MODE_DIGITS));
         StLs=OrderStopLoss()-spr;
         TP=pr+(pr-StLs)*2;
         OrderModify(ti,pr,StLs,TP,0,CLR_NONE);
         Alert(Symb,spr);
         Sleep(10000);
      }
      if(OrderType()==OP_SELLSTOP && OrderTakeProfit()==0)
      {
         Symb=OrderSymbol();
         ti=OrderTicket();
         pr=OrderOpenPrice();
         spr=MarketInfo(Symb,MODE_SPREAD)*MathPow(10,-MarketInfo(Symb,MODE_DIGITS));
         StLs=OrderStopLoss()+spr;
         TP=pr-(StLs-pr)*2;
         OrderModify(ti,pr,StLs,TP,0,CLR_NONE);
         Alert(Symb,spr);
         Sleep(10000);
      }
   }
   Alert(" vav_Tx2");
}
//+------------------------------------------------------------------+
